Status: Closed Start date: 2010-03-22

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

In app/helpers/issues_helper.rb

def render_descendants_tree(issue)

    s = '<form><table class="list issues">'

    ancestors = []

    issue.descendants.sort_by(&:lft).each do |child|

      level = child.level - issue.level - 1

 

Shouldn't the table class be just "issues". I'm pretty sure CSS class names can't have spaces in t

hem.

History

#1 - 2010-03-22 19:07 - Eric Thomas

Also, this seems to make sense because I believe it's using this part of the css.

public/stylesheets/application.css

div.issue div.subject h3 {margin: 0; margin-bottom: 0.1em;}

#issue_tree table.issues { border: 0; }

#issue_tree td.checkbox {display:none;}

fieldset.collapsible { border-width: 1px 0 0 0; font-size: 0.9em; }

#2 - 2010-03-22 22:22 - Anonymous

Eric Thomas wrote:

Shouldn't the table class be just "issues". I'm pretty sure CSS class names can't have spaces in them.

 Nope - that's absolutely fine.  The CSS class doesn't have a space in it, it is two different CSS classes to apply.

#3 - 2010-03-22 22:40 - Eric Thomas

Nick Read wrote:

Eric Thomas wrote:

Shouldn't the table class be just "issues". I'm pretty sure CSS class names can't have spaces in them.

 Nope - that's absolutely fine.  The CSS class doesn't have a space in it, it is two different CSS classes to apply.

 Ahh I see. Well is there any reason to have the "list" class since the "issues" class just takes away the border attributes that the "list" class defines?

#4 - 2010-03-23 00:03 - Felix Schäfer

2025-07-02 1/2



- Status changed from New to Closed

- Resolution set to Invalid

Eric Thomas wrote:

Well is there any reason to have the "list" class since the "issues" class just takes away the border attributes that the "list" class defines?

 Yes, because that is only the behavior of the default theme, other themes might do it another way. The CSS classes are to be understood as

"markup" that roughly tells you what is in there, so that you can make the presentation according to that.

#5 - 2010-03-23 01:56 - Eric Thomas

Okay, I guess I've got something wrong on my end. Thank you for your responses.
